Solution for JDK6 + JBoss-5.1.0GA + JAX-WS integration error: java.lang.UnsupportedOperationException: setProperty must be overridden by all subclasses of SOAPMessage

1.     Copy the following jars from JBOSS_HOME/client to JBOSS_HOME/lib/endorsed dir.
        a.     jbossws-native-jaxrpc.jar
        b.     jbossws-native-jaxws.jar
        c.     jbossws-native-jaxws-ext.jar
        d.     jbossws-native-saaj.jar

2.     Delete saaj-impl.jar(if its already there) from JBOSS_HOME/lib/endorsed dir.


Leave a Reply

Your email address will not be published. Required fields are marked *